Skip to main content
GET
/
gb
/
organizations
/
{organization_id}
/
employees
/
{employee_id}
/
pension
/
membership
Get pension membership
curl --request GET \
  --url https://preview.intermezzo.ai/gb/organizations/{organization_id}/employees/{employee_id}/pension/membership \
  --header 'Authorization: Bearer <token>'
{
  "status": "ACTIVE",
  "version": 123,
  "workerCategory": "ELIGIBLE_JOBHOLDER",
  "entryRoute": "AUTO_ENROLLED",
  "enrolmentDate": "2023-12-25",
  "optOutDate": "2023-12-25",
  "enrolmentCommunicationDate": "2023-12-25",
  "schemeId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "<string>"
}

Authorizations

Authorization
string
header
required

Get token from Auth0 and paste it here

Path Parameters

organization_id
required
employee_id
required

Response

Successful Response

Current pension membership state for an employee.

Reflects the latest version of the membership history record.

status
enum<string>
required
Available options:
ACTIVE,
OPTED_OUT,
NOT_ENROLLED
version
integer
required
workerCategory
enum<string> | null
required
Available options:
ELIGIBLE_JOBHOLDER,
NON_ELIGIBLE_JOBHOLDER,
ENTITLED_WORKER,
EXCLUDED
entryRoute
enum<string> | null
required
Available options:
AUTO_ENROLLED,
OPTED_IN,
JOINED
enrolmentDate
string<date> | null
required
optOutDate
string<date> | null
required
enrolmentCommunicationDate
string<date> | null
required
schemeId
string | null
required
createdAt
string<date-time>
required
createdBy
string | null
required